@media screen and (max-width:765px) {

    .content-footer{
        padding-top: 10px;
        width: 100%;
        height: auto;
    }
    .content-footer > h2{
        font-size: 0.7rem;
        height: 50px;
    }

    .logo-footer{
        transform: scale(0.7);
    }
}


@media screen and (min-width:767px) {

    #s3-2 {
        flex-direction: row; 
    }

    .topoc{
        height: 700px;
    }

    #mobile-wrapper{
    left: 5%;
    width: 90%;
    }

    #bloco{
        top:25%
    }
    .titulo-principal>h1{
        font-size:5rem;
    }

    .btn-di>.btn-mobile-t {
        font-size: 1.7rem;
        border-radius: 20px;
    }
    
    .cont-s3{
      display: flex;
      align-items:center;
      justify-content: space-between;
      width: 94%;
      max-width: 1000px;
     margin-bottom: 80px;
     height: 400px;
    }

    .content-s3{
        width: calc(100% - 400px);
        margin: 25px;
        height: 350px;
    }

    .img-s3{
        width: 400px;
        height: 400px;
        border-radius: 20px 20px 20px 20px;;
    }

    .content-s3 > h2{
        font-size: 2.2rem;
        margin-bottom: 20px;
    }

    .content-s3 > .mobile{
        
    font-size: 1.2rem;
    line-height: 1.7rem;
}
    .btn-s3{
        font-size: 1.3rem;
    }
     .content-footer{
        width: 100%;
    }
    .content-footer > h2{
        transform: scale(0.8);}
    
}

@media screen and (min-width:1024px) {
    #mobile-wrapper{
        display: none;
    }
    
   
    .nav-pc {
    /* Mude de absolute para fixed para ela descer com a tela */
    position: fixed; 
    /* Mantenha o resto... */
    top: 30px;
    left: 3%;
    width: 94%;
    display: flex;
    background-color: rgba(0, 0, 0, 0.55);
    backdrop-filter: saturate(180%) blur(20px);
    justify-content: space-between;
    align-items: center;
    height: 80px; /* Altura original */
    padding: 0 20px;
    border-radius: 80px;
    box-shadow: 0px 0px 10px 1px rgba(0, 0, 0, 0.226);
    z-index: 1000; /* Garante que fique acima de tudo */
    
    /* O SEGREDO ESTÁ AQUI: Transição suave para tudo */
    transition: all 0.4s ease-in-out;
     height: 70px;

     animation: navEntrada 1.6s cubic-bezier(0.2, 0.8, 0.2, 1) forwards;
        transform-origin: center top;
}

/* --- Adicione esta nova classe --- */
/* Esta é a aparência da nav quando você desce a página */
nav.minimizada {
    top: 10px;        /* Sobe um pouco mais para o topo */
         /* Diminui a altura */
    width: 88%;       /* Diminui a largura (efeito zoom out horizontal) */
    left: 6%;        /* Ajusta o centro (já que a largura mudou) */
    background-color: rgba(0, 0, 0, 0.75); /* Fica um pouco mais escura */
}


/* --- Ajuste para o LOGO diminuir também --- */
#img-logo {
    width: 120px;
    height: 120px;
    margin-top: 25px;
    /* Adicione a transição no logo também */
    transition: all 0.4s ease-in-out;
}

/* Logo quando a nav estiver minimizada */


nav>.txt-lo {
    width: 140px
} 

#img-logo{
    width: 120px;
    height: 120px;
    margin-top: 25px;
}

#logo {
    margin-left: 10px;
}

/* Abas */
nav>.abas {
    width: 75%;
    max-width: 1000px;
    display: flex;
    justify-content: space-around;
    padding: 10px 10px 10px 10px;
    background-color: #ffffff0c;
    border-radius: 80px;
    margin: 0px 10px;
    /* espaço vertical para hover funcionar */
}


.s-link-nav:hover {
    color:#5a8cf8;
    transition: 0.2s;
    transform: translateY(-2px);
}

.s-link-nav{
    color:  rgba(255,255,255,0.8);
    text-decoration: none;
    padding: 7px 1px;
    font-size: 1.1rem;
    font-weight: 100 ;
    cursor: pointer;
     font-family: "Montserrat", sans-serif;
}

nav > .txt-lo > h1 > a {
    text-decoration: none;
    color:#155DFC;
    font-family: "Montserrat", sans-serif;
}

#contato-btn{
    padding: 13px  30px;
    background-color: #155DFC;
    border: none;
    border-radius: 10px;
    margin-right: 10px;
    transition: 0.3s ease-in-out;
}

#contato-btn > a{
    text-decoration: none;
    color: white;
    font-size: 1.4rem;

}

#contato-btn:hover{
    background-color: #134ecc;
    transform:  scale(1.02);
}

.topoc{
    background-image: url('/imagens/topoc/fundo-topoc-mq-1024\ \(1\).png');
    background-size: cover;
}

.btn-di{
    display: none;
}

.titulo-principal{
    margin-bottom: 25px;
}

.btn-pc{
    display: inline;
}

.btn-pc > #btn{
padding: 18px 27px;
  font-size: 12px;
  text-transform: uppercase;
  letter-spacing: 2.5px;
  font-weight: 500;
  font-size: 1rem;
  font-family:sans-serif;
  color: #ffffffec;
  border: none;
  background-color: #0000006e;
  backdrop-filter: saturate(180%) blur(20px);
  border-radius: 10px;
  box-shadow: 0px 8px 15px rgba(0, 0, 0, 0.1);
  transition: all 0.3s ease 0s;
  cursor: pointer;
  outline: none;
  margin: 5px 25px 0px 0px;
}

.btn-pc > #btn:hover{
    background-color: #097bfd;
  box-shadow: 0px 15px 20px rgba(0, 9, 134, 0.4);
  color: #fff;
  transform: translateY(-7px);
}

.titulo-principal > h1{
    font-size: 5rem;
}

.s2 {
    display: flex;
    height: 800px;
    justify-content: center;
    align-items: center;
   background-color: rgba(255, 255, 255, 0.8);
}

.blocos2 {
    background-color:  rgba(255, 255, 255, 0.8);
    display: flex;
    width: 95%;
    height: 650px;
    justify-content: space-between;
    align-items: center;
    border-radius: 30px;
    border: 1px solid rgba(107, 107, 107, 0.336);
    box-shadow: 0px 1px 12px 0px #5987eb93;
    padding: 50px;

}

.image {
    width: 52%;
    height: 420px;
    display: flex;
    border-radius: 20px;
    background-image: url('/imagens/caminhao-tecnologia.webp');
    background-size: cover;
}

.content {
    color: white;
    width: 45%;
    height: 100%;
    padding: 0px; 
}

.content>h1 {
    background-color: rgba(0, 128, 0, 0);
    color:#155DFC;
    width: 100%;
    margin-top: 60px;
    margin-bottom: 45px;
    font-size: 2rem;
    font-weight: 500;
    font-family: "Instrument Sans", sans-serif;
}

.content>p{
    font-size: 1rem;
    font-family: "Instrument Sans", sans-serif;
    font-weight: 100;
    text-align: justify;
    line-height: 2rem;
    color: #000000ef;
    
}

.btn-s2 {
  padding: 14px 32px;
  margin-top: 35px;
  background:#155DFC;
  color: #fff;
  font-weight: 600;
  border-radius: 12px;
  text-decoration: none;
  display: inline-block;
  font-size: 1.1rem;
  transition: 0.3s ease;
  box-shadow: 0 1px 1px #0f3891;
  border: none;

}

.btn-s2:hover {
  transform: translateY(-3px) scale(1.03);
  box-shadow: 0 10px 25px #0a2664;
}

.btn-s2:active {
  transform: translateY(0);
  box-shadow: 0 4px 12px#155DFC;
}

.s3{
    height: 1850px;
}

.cont-s3{
    display: flex;
    border: none;
    box-shadow: none;
    max-width: 10000px;
    height: 500px;
}

.img-s3{
    width: 80%;
    height: 100%;
    box-shadow: 0px 0px 12px 3px rgba(0, 0, 0, 0.25);
}
.content-s3{
    width: 60%;
    padding-top: 0px;
    margin-top: 0px;
    
}

.content-s3 > .p-pc{
    display: block;
    font-size: 0.9rem;
    font-family: Arial, Helvetica, sans-serif;
    line-height: 1.5rem;
    text-align: justify;
}

.content-s3 > .mobile{
    display: none;
}

.btn-s3{
   padding: 14px 32px;
  
  background:#155DFC;
  color: #fff;
  font-weight: 600;
  border-radius: 12px;
  text-decoration: none;
  display: inline-block;
  font-size: 1.1rem;
  transition: 0.3s ease;
  box-shadow:0px 0px 12px 1px #0f389191;
  border: none;
}

#img-s3-1{
    background-image: url('/imagens/s3/frotas\ .png');
    background-size: cover;
    
}

#img-s3-2{
    background-image: url('/imagens/s3/cargas\ 1024.png');
    background-size: cover;
}

#img-s3-3{
    background-image: url('/imagens/s3/Pontos\ 1024.png');
    background-size: cover;
}

.s4 { height: 650px; } /* Mais alto no PC */

    .slider-container {
        perspective: 1000px; /* Ativa o 3D */
    }

    /* --- ESTILO DOS CARDS NO DESKTOP (Efeito 3D/Blur) --- */
    .bloco-s4 {
        width: 350px;
        height: 480px;
        /* Reset do mobile e aplica estilo desktop */
        transform: scale(0.5) translateX(0);
        filter: blur(10px);
        opacity: 0;
        box-shadow: 0 10px 30px rgba(0,0,0,0.3);
    }

    /* ATIVO: Grande, Nítido e no Centro */
    .bloco-s4.active {
        opacity: 1;
        transform: translateX(0) scale(1.1);
        filter: blur(0px);
        z-index: 10;
        box-shadow: 0 20px 50px rgba(21, 93, 252, 0.4);
    }

    /* ANTERIOR: Pequeno, Borrado, na Esquerda */
    .bloco-s4.prev {
        opacity: 0.6;
        transform: translateX(-110%) scale(0.85);
        z-index: 5;
        filter: blur(4px);
    }

    /* PRÓXIMO: Pequeno, Borrado, na Direita */
    .bloco-s4.next {
        opacity: 0.6;
        transform: translateX(110%) scale(0.85);
        z-index: 5;
        filter: blur(4px);
    }

    /* --- MOSTRA BOTÕES NO DESKTOP --- */
    .nav-btn {
        display: flex; /* Agora aparecem */
        position: absolute;
        top: 55%;
        transform: translateY(-50%);
        background-color: white;
        color: #155DFC;
        border: none;
        width: 50px; height: 50px;
        border-radius: 50%;
        font-size: 1.5rem;
        cursor: pointer;
        z-index: 20;
        box-shadow: 0 5px 15px rgba(0,0,0,0.2);
        align-items: center; justify-content: center;
        transition: 0.3s;
    }

    .nav-btn:hover {
        background-color: #155DFC;
        color: white;
        transform: translateY(-50%) scale(1.1);
    }

    .prev-btn { left: 15%; } /* Posição lateral */
    .next-btn { right: 15%; }
    .indicadores{
        display: none;
    }
     .img-s3{
        width: 60%;
       
    }

    #inverso{
        margin-right: 30px;
    }

    .content-footer{
        width: 80%;
    }
    .content-footer > h2{
        transform: scale(0.9);
    }
}

@media screen and (min-width: 1367px) {
    .nav-pc {
        width: 80%;
        left: 10%;
    }
    nav.minimizada{
        width: 72%;
        left: 14%;

        #contato-btn{
            transform: scale(0.95);
        }

        #img-logo{
            transform: scale(0.95);
        }
    }

    #contato-btn{
        margin-right: 30px;
    }

    .content-s3 > .p-pc{
        font-size: 1.1rem;
        font-weight: 100;
    }

    .img-s3{
        width: 45%;
    }

    .content-s3{
        width: 40%;
        max-width: 600px;
    }

    


    

    .content-s3 > .p-pc{
        font-size: 0.9rem;
        font-weight: 100;
    }

}

@media screen and (min-width:1601px) {

    .nav-pc{
        width: 75%;
        left: 12.5%;
        
    }

    nav.minimizada{
        width: 68%;
        left: 16%;
    }
    .mobile{
        display: none;

    }
    .p-pc{
        display: none;
    }
    .pc-g{
        display: block;
    }


    
    .content > .pc-g{
        display: block;
        line-height: 1.7rem;
        text-align: justify;
        font-family: Arial, Helvetica, sans-serif;
    }

    .content-s3{
        margin-left: 35px;
        width: 45%;
    }

    .cont-s3{
        margin: 100px auto;
        max-width: 1600px;
        width: 90%;
    }

    .s3{
        height: 1900px;
    }

    .text{
        margin-left: 80px;
        width: 100%;
    }

    .titulo-principal > h1{
        font-size: 5.2rem;
    }
    
    .blocos2{
        width: 85%;
        max-width: 1600px;
        height: 700px;
    }

    .image{
        width: 50%;
    }

    .topoc{
        height: 800px;
    }

    .content-s3 > .p-pc{
        display: none;
    }

    .content-s3 > .pc-g{
        display: block;
        text-align: justify;
        font-family: Arial, Helvetica, sans-serif;
        font-weight: 100;
        line-height: 1.7rem;
        margin-bottom: 20px;
    }

    .content-s3{
        width: 45%;
        max-width: 600px;
    }

    .img-s3{
        width: 45%;
    }

}

@media screen and (min-width:1920px) {
    .nav-pc{
        width: 68%;
        left: 16%;
        
    }

    nav.minimizada{
        width: 58%;
        left: 21%;
    }

     #contato-btn{
        margin-left: 40px;
        margin-right: 40px;
        padding: 15px  35px;
        
     }

    .txt-lo{
        margin-left: 40px;
        margin-right: 40px;
        width: 140px;
    }

    .titulo-principal > h1{
        font-size: 5.5rem;
    }

    .nav-pc > .abas{
        width: 100%;
    }
}


@keyframes navEntrada {
    0% {
        opacity: 0;
        transform: scale(1.15) translateY(-20px);
    }
    100% {
        opacity: 1;
        transform: scale(1) translateY(0);
    }
}